TARGET = kencfs-plasma
TEMPLATE = app
SOURCES += main.cpp \
    mainwindow.cpp \
    fsdialog.cpp \
    config.cpp \
    configdialog.cpp
HEADERS += mainwindow.h \
    fsdialog.h \
    config.h \
    configdialog.h
FORMS += mainwindow.ui \
    fsdialog.ui \
    configdialog.ui
    
TRANSLATIONS = kencfs_it_IT.ts kencfs_ro_RO.ts kencfs_cs_CZ.ts kencfs_ru_RU.ts

QT += widgets KWallet KConfigCore KNotifications
CONFIG += qtsingleapplication

include(singleapplication.pri)
DEFINES += QAPPLICATION_CLASS=QApplication

# install
target.path = /usr/bin/
data.path = /usr/share/$${TARGET}/translations/
data.files = *.qm
doc.path = /usr/share/doc/$${TARGET}
doc.files = README preview.png preview2.png preview3.png
desktop.path = /usr/share/applications
desktop.files = kencfs-plasma.desktop
icon.path = /usr/share/icons/$${TARGET}
icon.files = kencfs-icon.png kencfs-icon2.png kencfs-icon3.png
INSTALLS += target data doc desktop icon
CONFIG += release

DEFINES += KENCFS_TRANSLATIONS='\\"$${data.path}\\"'
DEFINES += KENCFS_ICONS='\\"$${icon.path}\\"'
